WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: poppler07.tcz depends on curl.tcz?  (Read 1516 times)

Offline nick65go

  • Hero Member
  • *****
  • Posts: 802
poppler07.tcz depends on curl.tcz?
« on: February 24, 2023, 05:58:26 AM »
flaxpdf.tcz depends on poppler07.tcz. OK
But why would poppler07.tcz (basically it is just libs) would depend on curl.tcz?
Because curl.tcz will drag / load also ca-certificates.tcz with its openssl-1.1-1.tcz
IMHO, I think flaxpdf should not depend on curl.
« Last Edit: February 24, 2023, 06:01:26 AM by nick65go »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11220
Re: poppler07.tcz depends on curl.tcz?
« Reply #1 on: February 24, 2023, 07:29:31 AM »
Hi nick65go
A search on github suggests it's used for something called DocBuilder:
https://github.com/freedesktop/poppler/search?q=curl

Line 79 here suggests libcurl is enabled by default:
https://github.com/freedesktop/poppler/blob/master/CMakeLists.txt

Line 47 shows an example of how to disable libcurl:
https://github.com/freedesktop/poppler/blob/master/INSTALL

The build file here shows curl support is enabled:
http://tinycorelinux.net/10.x/x86/tcz/src/poppler/compile_poppler

Offline nick65go

  • Hero Member
  • *****
  • Posts: 802
Re: poppler07.tcz depends on curl.tcz?
« Reply #2 on: February 26, 2023, 05:16:54 AM »
Hi Rich,
Code: [Select]
Title:      flaxpdf.tcz
Change-log: 2015/02/23 Original
            2015/02/24 Update to 0.7
     ***    2015/03/14 Update to 0.7.2
Current:    2020/01/27 updated 0.7.2 -> 0.7.3+ (juanito)

Title:        poppler07.tcz
Change-log:    2008/10/22 First version
            2014/01/17 Updated to 0.24.5 (juanito)
    ***     2015/02/09 Updated to 0.31.0 (Curaga)
            2019/02/04 Updated to 0.73.0, renamed (juanito)
Current:    2019/04/14 recompiled for missing headers (juanito)

so, flaxpdf 0.7.2 (in 2015/03//14) depended on poppler 0.31.0 (from 2015/02/09)

Rich, you are right, flaxpdf 0.7.3 depends on libpoppler.so.84.0.0, which in turn depended on libcurl.so.4.6.0
But, I did no see any "improvement" in the simple flaxpdf interface, neither bug corrections history, from flaxpdf 0.7.2 to flaxpdf 0.7.3.

The "core" files to interrogate, for me, are: tags.db.gz + provides.db.gz + sizelist.gz
If no other appl will use the "new" popple07.tcz, then I consider to go back to old-trusted flaxpdf 0.7.2, which does not ask for curl (tc 5.x ?).

I do not know how to search which appls uses popple07.tcz.
Could you provide a list of them, and how you built it?

EDIT: I could try with Apps-GUI and select "TAGS" to be pdf; what else?
Code: [Select]
Search "pdf" (32 hits in 1 file of 1 searched)
  C:\Users\xxx\AppData\Local\Temp\7zO02074246\tags.db (32 hits)
    Line  316: epdf-dev.tcz            library interface Poppler PDF
    Line  317: epdf.tcz            library interface Poppler PDF
    Line  318: epdfview.tcz                gtk2 pdf viewer
    Line  326: evince-dev.tcz                document viewer pdf gtk+ gtk3 dev
    Line  327: evince-gir.tcz                document viewer pdf gtk+ gtk3 gir
    Line  328: evince.tcz                document viewer pdf gtk+ gtk3
    Line  425: flaxpdf.tcz            pdf reader
    Line  545: ghostscript.tcz               postscript ps pdf
    Line 1741: pdftk.tcz            PDF manipulation tools
    Line 1780: poppler07-bin.tcz            Poppler PDF rendering utilities
    Line 1781: poppler07-dev.tcz            Poppler PDF rendering dev
    Line 1782: poppler07-gir.tcz                poppler pdf gir
    Line 1783: poppler07.tcz            Poppler PDF rendering
    Line 1784: poppler-data.tcz                pdf rendering cjk cryllic
    Line 1854: pypdf2.tcz               pypdf pypdf2 pdf2pdf
    Line 1947: qpdf-dev.tcz                PDF
    Line 1948: qpdf-doc.tcz                PDF
    Line 1949: qpdf.tcz                PDF
    Line 2143: texinfo.tcz            Texinfo single source file produce output number formats both online printed dvi html info pdf xml
    Line 2153: tinytex.tcz               tex pdftex metafont
« Last Edit: February 26, 2023, 05:33:41 AM by nick65go »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11220
Re: poppler07.tcz depends on curl.tcz?
« Reply #3 on: February 26, 2023, 05:55:18 AM »
Hi nick65go
TC10 x86  contains the  flaxpdf  and  poppler  you are looking for.
TC10 x86  contains  poppler  and  poppler07.  The  flaxpdf.tcz.dep  file lists  poppler.

32 nad 64 bit extensions from TC13 which depend on  poppler07.tcz:
Code: [Select]
13.x/x86/tcz/claws-mail.tcz
13.x/x86/tcz/cups-filters.tcz
13.x/x86/tcz/epdfview.tcz
13.x/x86/tcz/evince.tcz
13.x/x86/tcz/flaxpdf.tcz
13.x/x86/tcz/inkscape.tcz
13.x/x86/tcz/poppler07-bin.tcz
13.x/x86/tcz/poppler07-gir.tcz
13.x/x86_64/tcz/auto-multiple-choice.tcz
13.x/x86_64/tcz/cups-filters.tcz
13.x/x86_64/tcz/evince.tcz
13.x/x86_64/tcz/flaxpdf.tcz
13.x/x86_64/tcz/gegl04.tcz
13.x/x86_64/tcz/gimagereader.tcz
13.x/x86_64/tcz/inkscape.tcz
13.x/x86_64/tcz/poppler07-bin.tcz
13.x/x86_64/tcz/poppler07-gir.tcz
13.x/x86_64/tcz/tracker-miners.tcz

... Could you provide a list of them, and how you built it? ...
I searched the server directly.

Offline nick65go

  • Hero Member
  • *****
  • Posts: 802
Re: poppler07.tcz depends on curl.tcz?
« Reply #4 on: February 26, 2023, 06:05:47 AM »
Right, I did not find poppler.tcz in TC14, and flaxpdf.tcz depends on poppler07.tcz, hm...
Code: [Select]
https://mirrors.dotsrc.org/tinycorelinux/14.x/x86/tcz/

PS: how did you search the server directly, which command did you issue in aterm, please?This is a general question, like how you will know what applications X{1,2,..n} will depend on given Y.tcz

Of course I could download all *tcz.tree and all *.tcz.dep, then process them; but this is not polite to the server. Neither I have  all tcz installed to use app-gui for dependencies. Please share how you did it.
« Last Edit: February 26, 2023, 06:21:02 AM by nick65go »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11220
Re: poppler07.tcz depends on curl.tcz?
« Reply #5 on: February 26, 2023, 06:43:12 AM »
Hi nick65go
This is the command I used:
Code: [Select]
grep -l "poppler07.tcz" 13.x/x86*/tcz/*.dep | cut -d '.' -f-3I have local access to the server, so this won't work for you. You would need a
copy of all of the  .dep  files to do this.

Offline nick65go

  • Hero Member
  • *****
  • Posts: 802
flaxpdf should not depend on curl, in the spirit of <Tiny>, even in TC14
« Reply #6 on: February 26, 2023, 07:10:01 AM »
Rich, many thanks for your patience with me. Now everything is clear.

I was talking about flaxpdf from TC14-alpha, which depends in the end on curl.
IMHO flaxpdf should not depend on it, only on some poppler version.
You talk about flaxpdf from stable TC13.

Maybe, if it is appropriate, we should change the topic title, it is a little misleading now, after clarification.
I propose to rename it like " flaxpdf should not depend on curl, in the spirit of <Tiny> apls, even in TC14".
For me this is case close, thanks.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11220
Re: poppler07.tcz depends on curl.tcz?
« Reply #7 on: February 26, 2023, 07:30:47 AM »
Hi nick65go
... I was talking about flaxpdf from TC14-alpha, which depends in the end on curl.
IMHO flaxpdf should not depend on it, only on some poppler version.
You talk about flaxpdf from stable TC13. ...
The vast majority of extensions in the TC14 repositories were copied over from TC13.
Extensions don't get updated just because there is a new release of Tinycore, they
get update when there is a need.

Offline nick65go

  • Hero Member
  • *****
  • Posts: 802
flaxpdf should not depend on curl, in the spirit of <Tiny>, even in TC14
« Reply #8 on: February 26, 2023, 07:42:24 AM »
I got it before, that TC14 has almost (if not) all tcz FROM previously version, TC13.
The confusion was that "my re-mastered" TC13 has some programs from all TC old-versions. Yes, it is a little crazy.

ex: This happened with my flaxpdf in TC13, which was from maybe TC5.
ex: Because flwm had no mouse-pointers on windows corners (now it has, thanks) I used a fltk-1.1 from TC5 in my TC13.

and so on, like with fluff-1.8 crashing, is fluff-1.9 maybe from TC12, etc; when ever something was not as I liked; this was possible because the old-version used older libraries which almost all the time had all inner symbols/functions compatible.
« Last Edit: February 26, 2023, 07:53:19 AM by nick65go »